package com.github.wxiaoqi.security.common.util.process;


import com.github.wxiaoqi.security.common.util.SystemProperty;

public class ResultCode {

	////////////////////////////参数相关///////////////////////////
	//参数非法，请修改
	public static int PARAM_ILLEGAL_CODE = Integer.valueOf(SystemProperty.getResultConfig("PARAM_ILLEGAL_CODE"));
	// 操作成功
	public static int SUCCESS_CODE = Integer.valueOf(SystemProperty.getResultConfig("SUCCESS_CODE"));
	// 操作失败
	public static int FAILED_CODE = Integer.valueOf(SystemProperty.getResultConfig("FAILED_CODE"));

	// 操作失败
	public static int NULL_CODE = Integer.valueOf(SystemProperty.getResultConfig("NULL_CODE"));
	// 操作出现异常
	public static int EXCEPTION_CODE = Integer.valueOf(SystemProperty.getResultConfig("EXCEPTION_CODE"));
	// 数据已存在
	public static int EXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("EXIST_CODE"));
	// 数据不存在
	public static int NOTEXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("NOTEXIST_CODE"));
	// rstoken失效
	public static int RSTOKEN_EXPIRED_CODE = Integer.valueOf(SystemProperty.getResultConfig("RSTOKEN_EXPIRED_CODE"));
	// rstoken不合法
	public static int RSTOKEN_NULL_CODE = Integer.valueOf(SystemProperty.getResultConfig("RSTOKEN_NULL_CODE"));
	// 数据库操作失败
	public static int DB_OPERATION_FAIL_CODE = Integer.valueOf(SystemProperty.getResultConfig("DB_OPERATION_FAIL_CODE"));
	// 微信用户不存在
	public static int WXNOTEXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("WXNOTEXIST_CODE"));

	// 获取app用户失败
	public static int GET_APPUSER_FAILED_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("GET_APPUSER_FAILED_CODE"));

	// 用户不存在
	public static int USER_NOTEXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("USER_NOTEXIST_CODE"));

	// 用户已存在
	public static int USER_EXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("USER_EXIST_CODE"));

	// 手机号已绑定人脸
	public static int WX_BIND_CODE = Integer.valueOf(SystemProperty.getResultConfig("WX_BIND_CODE"));

	public static int ORDER_NOT_EXIST = Integer.valueOf(SystemProperty.getResultConfig("ORDER_NOT_EXIST"));

	public static int ORDER_GOODS_EXIST = Integer.valueOf(SystemProperty.getResultConfig("ORDER_GOODS_EXIST"));


	public static int GET_AUTH_INFO_FAILED_CODE = Integer.valueOf(SystemProperty.getResultConfig("GET_AUTH_INFO_FAILED_CODE"));

	public static int WRONG_FORMAT_OF_ID_CARD = Integer.valueOf(SystemProperty.getResultConfig("WRONG_FORMAT_OF_ID_CARD"));

	public static int INCOMPLETE_DATA = Integer.valueOf(SystemProperty.getResultConfig("INCOMPLETE_DATA"));
	public static String getMsg(int code) {
		return SystemProperty.getResultConfig(String.valueOf(code));
	}
}
